SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                ANAG                                  ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/anag.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                         DATE/TIME INFO                               ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SELECT

    CURRENT_DATE,

    CURRENT_TIME,

    CURRENT_TIMESTAMP

FROM RDB$DATABASE;  -- noqa: LXR, PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                PAGHE                                 ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/paghe.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



-- Voce deprecata

UPDATE ELEMENTORETRIBUTIVO SET NASCOSTO = 1, DESCRIZIONE = '* Fondo Mario Besusso (sogg. irpef)' WHERE IDELEMENTO = 7805;

COMMIT WORK;



UPDATE INPS_EVENTO SET COPERTURA = '1' WHERE IDINPSEVENTO = 'MB1';

COMMIT WORK;



-- Correzione flag

UPDATE ELEMENTORETRIBUTIVO SET NETTO = 1 WHERE IDELEMENTO = 7806;

COMMIT WORK;



-- Voce non presente su tutti i db

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, FIGURATIVO, RECALC, NASCOSTO, NOTE, CUSTOM) VALUES ('1120', '11', '1', '0', NULL, NULL, NULL, 'Compenso lordo attività amministrative straordinarie', 'Compenso lordo attiv. ammin. straord.', '1', NULL, '1', NULL, NULL, '1', NULL, '1', '1.000000', '1', NULL, NULL, '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '0');

COMMIT WORK; -- skip error



-- Elemento erogazioni liberali

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, NASCOSTO, NOTE, CUSTOM, GRUPPO) VALUES ('1134', '11', '1', '1', NULL, NULL, NULL, 'Erogazioni liberali (in denaro)', 'Erogazioni liberali', '1', NULL, '1', '1.000000', NULL, '1', NULL, '1', '1.000000', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '0', NULL);

COMMIT WORK;



-- Descrizione secondaria Mario Negri

UPDATE ALBOCOVIP SET DESCRIZIONE2 = 'MARIO NEGRI' WHERE IDFORMAPREVCOMPL = '1460';

COMMIT WORK;



-- Fix per Grimaldi (la tredicesima era a settembre)

UPDATE CONTRATTODETTAGLIO SET TREDICESIMAMESE = '12' WHERE IDCONTRATTODETTAGLIO = '7';

COMMIT WORK;



-- Elimino la tabella ContrattoDettaglioLivelloFondo e la ricreo con il nome ContrattoDettaglioFondo (per rendere facoltativo il livello)



DROP TABLE ContrattoDettaglioLivelloFondo;



Create Table ContrattoDettaglioFondo  (

	IdContrattoDettaglioFondo Integer NOT NULL,

	IdContrattoDettaglio Integer NOT NULL,

	IdLivello Varchar(5),

	IdInpsQualifica1 Varchar(2),

	IdFormaPrevCompl Integer NOT NULL,

	ValidoDal Date NOT NULL,

	ImponibileConv Currency,

	ContributoDat Currency,

	ContributoLav Currency,

	AliquotaDat Percentage,

	AliquotaDat2 Percentage,

	AliquotaLav Percentage,

Constraint pk_ContrattoDettaglioFondo Primary Key (IdContrattoDettaglioFondo)

);

COMMIT WORK;



Alter Table ContrattoDettaglioFondo add Constraint Relationship1466 Foreign Key (IdInpsQualifica1) references Inps_Qualifica1 (IdInpsQualifica1) on update no action on delete no action ;

Alter Table ContrattoDettaglioFondo add Constraint Relationship1486 Foreign Key (IdContrattoDettaglio) references ContrattoDettaglio (IdContrattoDettaglio) on update no action on delete no action ;

Alter Table ContrattoDettaglioFondo add Constraint Relationship1465 Foreign Key (IdFormaPrevCompl) references AlboCovip (IdFormaPrevCompl) on update no action on delete no action ;

COMMIT WORK;



---- Reinserisco i dati presenti nella tabella precedente

INSERT INTO ContrattoDettaglioFondo (IdContrattoDettaglioFondo, IdContrattoDettaglio, IdLivello, IdInpsQualifica1, IdFormaPrevCompl, ValidoDal, ContributoDat, ContributoLav) VALUES ('1', '413', '1', '2', '136', '30.01.2020', '10.000000', NULL);

INSERT INTO ContrattoDettaglioFondo (IdContrattoDettaglioFondo, IdContrattoDettaglio, IdLivello, IdInpsQualifica1, IdFormaPrevCompl, ValidoDal, ContributoDat, ContributoLav) VALUES ('2', '413', '2', '2', '136', '30.01.2020', '11.500000', NULL);

INSERT INTO ContrattoDettaglioFondo (IdContrattoDettaglioFondo, IdContrattoDettaglio, IdLivello, IdInpsQualifica1, IdFormaPrevCompl, ValidoDal, ContributoDat, ContributoLav) VALUES ('3', '413', '3', '2', '136', '30.01.2020', '13.000000', NULL);

INSERT INTO ContrattoDettaglioFondo (IdContrattoDettaglioFondo, IdContrattoDettaglio, IdLivello, IdInpsQualifica1, IdFormaPrevCompl, ValidoDal, ContributoDat, ContributoLav) VALUES ('4', '413', '4', '2', '136', '30.01.2020', '13.900000', NULL);

INSERT INTO ContrattoDettaglioFondo (IdContrattoDettaglioFondo, IdContrattoDettaglio, IdLivello, IdInpsQualifica1, IdFormaPrevCompl, ValidoDal, ContributoDat, ContributoLav) VALUES ('5', '413', '5', '2', '136', '30.01.2020', '15.000000', NULL);

INSERT INTO ContrattoDettaglioFondo (IdContrattoDettaglioFondo, IdContrattoDettaglio, IdLivello, IdInpsQualifica1, IdFormaPrevCompl, ValidoDal, ContributoDat, ContributoLav) VALUES ('6', '413', '6', '2', '136', '30.01.2020', '18.000000', NULL);

INSERT INTO ContrattoDettaglioFondo (IdContrattoDettaglioFondo, IdContrattoDettaglio, IdLivello, IdInpsQualifica1, IdFormaPrevCompl, ValidoDal, ContributoDat, ContributoLav) VALUES ('7', '413', '7', '2', '136', '30.01.2020', '20.500000', NULL);

INSERT INTO ContrattoDettaglioFondo (IdContrattoDettaglioFondo, IdContrattoDettaglio, IdLivello, IdInpsQualifica1, IdFormaPrevCompl, ValidoDal, ContributoDat, ContributoLav) VALUES ('8', '414', '1', '1', '136', '30.01.2020', '0.068500', NULL);

INSERT INTO ContrattoDettaglioFondo (IdContrattoDettaglioFondo, IdContrattoDettaglio, IdLivello, IdInpsQualifica1, IdFormaPrevCompl, ValidoDal, ContributoDat, ContributoLav) VALUES ('9', '414', '2', '1', '136', '30.01.2020', '0.078800', NULL);

INSERT INTO ContrattoDettaglioFondo (IdContrattoDettaglioFondo, IdContrattoDettaglio, IdLivello, IdInpsQualifica1, IdFormaPrevCompl, ValidoDal, ContributoDat, ContributoLav) VALUES ('10', '414', '3', '1', '136', '30.01.2020', '0.078800', NULL);

INSERT INTO ContrattoDettaglioFondo (IdContrattoDettaglioFondo, IdContrattoDettaglio, IdLivello, IdInpsQualifica1, IdFormaPrevCompl, ValidoDal, ContributoDat, ContributoLav) VALUES ('11', '414', '4', '1', '136', '30.01.2020', '0.089000', NULL);

INSERT INTO ContrattoDettaglioFondo (IdContrattoDettaglioFondo, IdContrattoDettaglio, IdLivello, IdInpsQualifica1, IdFormaPrevCompl, ValidoDal, ContributoDat, ContributoLav) VALUES ('12', '414', '5', '1', '136', '30.01.2020', '0.095200', NULL);

INSERT INTO ContrattoDettaglioFondo (IdContrattoDettaglioFondo, IdContrattoDettaglio, IdLivello, IdInpsQualifica1, IdFormaPrevCompl, ValidoDal, ContributoDat, ContributoLav) VALUES ('13', '414', '6', '1', '136', '30.01.2020', '0.102700', NULL);

COMMIT WORK;



ALTER TABLE PosizioneFondo ADD ContributoDatore2 Currency;

COMMIT WORK;



-- Dettaglio 420

---- Richiesto da Meccanica finanziaria http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=13886



INSERT INTO CONTRATTODETTAGLIO (IDCONTRATTODETTAGLIO, IDINPSCONTRATTO, IDUNITAMISURA, IDCNELCONTRATTO, DESCRIZIONE, EDR, TREDICESIMAMESE, TREDICESIMAGIORNO, QUATTORDICESIMAMESE, QUATTORDICESIMAGIORNO, ISTITUTOSCATTI, BANCAORE, STRAORDINARILIMITEOREANNO, STRAORDINARILIMITEOREMESE, STRAORDINARILIMITEORESETTIMANA, STRAORDINARILIMITEOREGIORNO, SCATTIMESE, SCATTINUMERO, CONTINGENZA, INTEGRAZCONGEDOMATR, ULTIMAMODIFICA, ULTIMAMODIFICAUSER, CUSTOM, NASCOSTO) VALUES ('420', '055', '4', 'H061', 'Dirigenti - Aziende alberghiere', NULL, '12', '26', '6', '0', NULL, '1', '260.00', NULL, NULL, '2.00', '36', '6', NULL, NULL, NULL, NULL, '0', NULL);

COMMIT WORK;



INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('420', 'DIR', 'Dirigente', '055', NULL, NULL, NULL, NULL);

COMMIT WORK;



INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('420', '5', NULL, '055', '1', '1', '1', NULL, '1', NULL); -- Minimo contrattuale

COMMIT WORK;



---- Minimo contrattuale

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('420', 'DIR', '5', '01.12.2018', '3390.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- Coefficente

INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('420', '1', NULL, '22.00', '173.00', '5.00', '40.00', NULL, NULL, '0', '14', NULL, NULL, '14000', '', NULL, NULL);

COMMIT WORK;



---- Ratei

INSERT INTO CONTRATTORATEO (IDCONTRATTODETTAGLIO, IDRATEO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, NOTA) VALUES ('420', '1', '1', '0', NULL);

COMMIT WORK;



INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('420', '1', '1', NULL, '2', '4', '2.166670');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('420', '1', '3', NULL, '1', '4', '8.666670');

COMMIT WORK;



---- Fondo Mario Negri

INSERT INTO ContrattoDettaglioFondo (IdContrattoDettaglioFondo, IdContrattoDettaglio, IdInpsQualifica1, IdFormaPrevCompl, ValidoDal, IdLivello, ImponibileConv, ContributoDat, ContributoLav, AliquotaDat, AliquotaDat2, AliquotaLav) VALUES ('14', '420', '3', '1460', '01.10.2021', NULL, '59224.54', NULL, NULL, '0.1286', '0.0231', '0.01');

COMMIT WORK;



-- END Dettaglio 420



-- Uniemens 4.20.2 del 28 settembre 2023



INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L577', 'Incentivo al posticipo del pensionamento articolo 1, comma 286, della legge n. 197 del 2022 (legge di bilancio 2023). Circolare n. 82/2023.', NULL, NULL, '1', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L578', 'Incentivo al posticipo del pensionamento articolo 1, comma 286, della legge n. 197 del 2022 (legge di bilancio 2023) ridotto dell’esonero parziale dei contributi IVS a carico del lavoratore, disciplinato dall’art.1, c. 281, della legge n. 197/2022 e dall’art. 39 del decreto-legge n. 48/2023. Circolare n. 82/2023.', NULL, NULL, '1', NULL, NULL);

COMMIT WORK;



INSERT INTO TIPOIDENTMOTIVOUTILIZZO (IDTIPOIDENTMOTIVOUTILIZZO, DESCRIZIONE) VALUES ('PROTOCOLLO', 'Numero di protocollo INPS (utilizzabile laddove espressamente indicato in messaggi o circolari).');

COMMIT WORK;



UPDATE DR_CAUSALEVERSMAT SET DESCRIZIONE = 'Restituzione: - indennità maternità facoltativa per bambini fino a 3 anni con handicap art. 33 c.2 L.104/92 (causale a credito L053); - permessi di due ore giornalieri per bambini fino a 3 anni con handicap art.33 c.2 L.104/92 (causale a credito L054) ; - permessi per figli maggiori di 3 anni e parenti entro il terzo grado art.33 c.3 L.104/92 (causale a credito L056); - permessi orari per diversamente abili che lavorano art. 33 c.6 L.104/92 (causale a credito L057); - permessi di tre giorni al mese per diversamente abili che lavorano art.33 c.6 L 104/92 (causale a credito L058). Utilizzabile fino alla competenza di maggio 2023.' WHERE IDCAUSALEVERSMAT = 'E793';

COMMIT WORK;



INSERT INTO CONGCIGOALTCAUS (IDCAUSALE, DESCRIZIONE) VALUES ('L142', 'Conguaglio CIGO art.1 - DL 98/23. Circolare n. 73/2023.');

COMMIT WORK;



INSERT INTO PA_TIPORECUPERO (IDTIPORECUPERO, DESCRIZIONE) VALUES ('52', 'Esonero per incentivo al posticipo del pensionamento articolo 1, comma 286, della legge n. 197 del 2022 in presenza di esoneri per articolo 1, comma 281, della legge 212 di 357 29 dicembre 2022, n. 197 e articolo 39 comma 1, del decreto-legge 4 maggio 2023, n. 48. Circolare n. 82/2023.');

INSERT INTO PA_TIPORECUPERO (IDTIPORECUPERO, DESCRIZIONE) VALUES ('53', 'Esonero per incentivo al posticipo del pensionamento articolo 1, comma 286, della legge n. 197 del 2022. Circolare n. 82/2023.');

COMMIT WORK;



INSERT INTO DMAG_TIPOAGEVOLAZ (IDTIPOAGEVOLAZ, DESCRIZIONE) VALUES ('PA', 'Recupero arretrati 2023 PP Esonero per incentivo al posticipo del pensionamento articolo 1, comma 286, della legge n. 197 del 2022. Circolare n. 82/2023.');

INSERT INTO DMAG_TIPOAGEVOLAZ (IDTIPOAGEVOLAZ, DESCRIZIONE) VALUES ('PP', 'Esonero per incentivo al posticipo del pensionamento articolo 1, comma 286, della legge n. 197 del 2022. Circolare n. 82/2023');

COMMIT WORK;



UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'A101', DESCRIZIONE = 'dirigenti dei consorzi di bonifica e di miglioramento fondiario', IDCNELSETTORE = 'A', CONTRAENTIDATORIALI = 'SNEBI', CONTRAENTISINDACALI = 'SINDICOB FEDERMANAGER', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'A101';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'A221', DESCRIZIONE = 'CCNL per i dipendenti dalle organizzazioni degli allevatori, consorzi ed enti zootecnici', IDCNELSETTORE = 'A', CONTRAENTIDATORIALI = 'ASSOCIAZIONE ITALIANA ALLEVATORI', CONTRAENTISINDACALI = 'FLAI CGIL; FAI CISL; UILA UIL; CONFEDERDIA', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'A221';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'D01A', DESCRIZIONE = 'CCNL per i dipendenti da MPMI e cooperative del settore Tessile Abbigliamento Moda', IDCNELSETTORE = 'D', CONTRAENTIDATORIALI = 'UNIMPRESA; UNIAP', CONTRAENTISINDACALI = 'CONFAIL; UPLA CONFCONTRIBUENTI', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'D01A';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'D113', DESCRIZIONE = 'CCNL per gli addetti alle industrie manufatturiere delle pelli e succedanei', IDCNELSETTORE = 'D', CONTRAENTIDATORIALI = 'UNILAVORO PMI; UNIPEL', CONTRAENTISINDACALI = 'FILP; CONFSAL FISALS', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'D113';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'F021', DESCRIZIONE = 'CCNL per i dipendenti delle aziende produttrici di laterizi e manufatti cementizi', IDCNELSETTORE = 'F', CONTRAENTIDATORIALI = 'CONFINDUSTRIA CERAMICA; ASSOBETON', CONTRAENTISINDACALI = 'FENEAL UIL; FILCA CISL; FILLEA CGIL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'F021';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H01H', DESCRIZIONE = 'CCNL per i dipendenti del terziario: attività collaterali al commercio, distribuzione e servizi anche in forma cooperativa', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'CONFIMPRESEITALIA', CONTRAENTISINDACALI = 'FESICA CONFSAL; CONFSAL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'H01H';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H50E', DESCRIZIONE = 'Servizi alle Famiglie', IDCNELSETTORE = 'H1', CONTRAENTIDATORIALI = 'CONFLAVORO PMI', CONTRAENTISINDACALI = 'FESICA CONFSAL; CONFSAL FISALS; CONFSAL', VALIDOAL = '2023-09-01' WHERE IDCNELCONTRATTO = 'H50E';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H533', DESCRIZIONE = 'CCNL per i lavoratori dipendenti delle imprese di acconciatura, estetica, tricologia non curativa, piercing e centri benessere', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'ANAP; ALIM', CONTRAENTISINDACALI = 'SELP', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'H533';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H537', DESCRIZIONE = 'CCNL per i dipendenti delle imprese di Acconciatura, Estetica, Tatuaggio, Piercing e Centri Benessere', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'UNIMPRESA; UNIAP', CONTRAENTISINDACALI = 'CONFAIL; UPLA CONFCONTRIBUENTI', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'H537';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H701', DESCRIZIONE = 'CCNL per il personale dipendente da imprese esercenti Servizi Ausiliari, Fiduciari e Integrati resi alle imprese pubbliche e private (S.A.F.I.)', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'Associazione PIU'' SERVIZI; ANISI; ANIVP; FEDERSICUREZZA CONFCOMMERCIO', CONTRAENTISINDACALI = 'UILTUCS UIL', VALIDOAL = '2023-09-01' WHERE IDCNELCONTRATTO = 'H701';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'HV56', DESCRIZIONE = 'CCNL per i dipendenti della vigilanza privata e servizi fiduciari', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'UNILAVORO PMI', CONTRAENTISINDACALI = 'CIU UNIONQUADRI; CONFSAL FISALS; ASPI', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'HV56';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'I391', DESCRIZIONE = 'CCNL unico dell''industria armatoriale', IDCNELSETTORE = 'I', CONTRAENTIDATORIALI = 'CONFITARMA; ASSARMATORI (sezioni 1, 2, 3, 4, 7, 13, 14, 15); ASSORIMORCHIATORI (sezione 11); FEDERIMORCHIATORI (sezione 11)', CONTRAENTISINDACALI = 'FILT CGIL; FIT CISL; UILTRASPORTI; USCLAC/UNCDIM (sezioni 3, 10); (Sezione 14 rinnovata il 30/06/2021 anche da ANMBMM/MEDIBORDO)', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'I391';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('K51F', 'CCNL per i lavoratori ed impiegati delle imprese operanti nel settore dei servizi di pulizia, multiservizi e attività affini', 'K', 'CONAPI', 'FILA', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'K602', DESCRIZIONE = 'CCNL del personale dirigente della SPORT E SALUTE e delle Federazioni sportive nazionali', IDCNELSETTORE = 'K', CONTRAENTIDATORIALI = 'SPORT E SALUTE SPA', CONTRAENTISINDACALI = 'UIL PA; FP CGIL; CISL FP; UGL FP; CISAL FIALP', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'K602';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'T19H', DESCRIZIONE = 'CCNL per i dipendenti delle Associazioni ed altre Organizzazioni del TERZO SETTORE', IDCNELSETTORE = 'T', CONTRAENTIDATORIALI = 'CONFIMPRESEITALIA', CONTRAENTISINDACALI = 'FESICA CONFSAL; CONFSAL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'T19H';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'T244', DESCRIZIONE = 'personale direttivo, docente, educativo, amministrativo, tecnico ed ausiliario occupato nelle scuole non statali, enti di formazione, scuole di preparazione, scuole d', IDCNELSETTORE = 'T', CONTRAENTIDATORIALI = 'FEDERTERZIARIO SCUOLA; FEDERTERZIARIO', CONTRAENTISINDACALI = 'UGL SCUOLA; UGL; ANCL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'T244';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'V255', DESCRIZIONE = 'CCNL per i formatori nel campo della sicurezza sui luoghi di lavoro, per i responsabili e gli addetti al servizio di prevenzione e protezione nelle aziende dell''edilizia, dell''agricoltura, dell''artigianato, del commercio e dei servizi', IDCNELSETTORE = 'V', CONTRAENTIDATORIALI = 'CEPI', CONTRAENTISINDACALI = 'ANFOS', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'V255';

COMMIT WORK;



-- END Uniemens 4.20.2 del 28 settembre 2023



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                END                                   ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS